Subject: Re: [PATCH] generic RTC support for PPC

From: David Brownell <[email-masked]>
Date: Tue, 30 Jan 2007 11:55:46 -0800

On Tuesday 30 January 2007 11:25 am, Kim Phillips wrote:
> 
> For the MDS boards, which use the ds1374, I'd rather fix the problem properly
> and add a ds1374 driver to the RTC class.  While Scott Wood (cc'd) has already
> done the port, I believe his patches are pending some patches by David Brownell.  

I can't imagine what such patches would be, unless maybe you're referring to
I2C framework updates that make it follow the driver model and support platform
specific data, like an RTC alarm's IRQ number?  Those will take some time.

Just submit a normal I2C driver for that RTC, and any IRQ capability can be
added later.  (Or as a board-specific patch, which seems to be the normal
solution for I2C, though they won't go upstream.)

- Dave